SqltoolRB (HSQLDB 2.7.1 API)

Module org.hsqldb.sqltool
Package org.hsqldb.cmdline

## Enum SqltoolRB

- java.lang.Object
- - java.lang.Enum<SqltoolRB>
  - - org.hsqldb.cmdline.SqltoolRB

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SqltoolRB>`, `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

      public enum SqltoolRB
      extends java.lang.Enum<SqltoolRB>
      implements org.hsqldb.cmdline.libclone.RefCapableRBInterface

  Resource Bundle for SqlTool and associated classes. Purpose of this class is to wrap a RefCapablePropertyResourceBundle to reliably detect any possible use of a missing property key as soon as this class is clinitted. The reason for this is to allow us developers to detect all such errors before end-users ever use this class.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `a_setting` |
    `aborting` |
    `append_empty` |
    `arrayimp_jvmreq` |
    `arrayval_malformat` |
    `auto_unset_warning` |
    `autocommit_fetchfail` |
    `bad_time_format` |
    `bang_command_fail` |
    `bang_incomplete` |
    `binary_filefail` |
    `binary_loadedbytesinto` |
    `binbuf_write` |
    `binbuffer_empty` |
    `boolean_bad` |
    `break_syntax` |
    `break_unsatisfied` |
    `buffer_empty` |
    `buffer_executing` |
    `buffer_extrachars` |
    `buffer_help` |
    `buffer_instructions` |
    `buffer_restored` |
    `buffer_unknown` |
    `bufhist_unspecified` |
    `c_setting` |
    `causereport` |
    `commandnum_malformat` |
    `committed` |
    `conndata_retrieval_fail` |
    `connect_failure` |
    `connected_fallbackmsg` |
    `connection_fail` |
    `continue_syntax` |
    `continue_unsatisfied` |
    `csv_coldelim_present` |
    `csv_quote_unterminated` |
    `d_options` |
    `deprecated_noop` |
    `describe_table_datatype` |
    `describe_table_name` |
    `describe_table_nonulls` |
    `describe_table_precision` |
    `describe_table_scale` |
    `describe_table_width` |
    `destfile_demand` |
    `desturl_nowrite` |
    `disconnect_failure` |
    `disconnect_success` |
    `disconnected_msg` |
    `dsv_bincol` |
    `dsv_colcount_mismatch` |
    `dsv_coldelim_present` |
    `dsv_constcols_nullcol` |
    `dsv_header_matchernonhead` |
    `dsv_header_none` |
    `dsv_header_nonswitched` |
    `dsv_header_noswitchmatch` |
    `dsv_header_noswitchtarg` |
    `dsv_import_summary` |
    `dsv_insertcol_mismatch` |
    `dsv_m_syntax` |
    `dsv_metadata_mismatch` |
    `dsv_nocolheader` |
    `dsv_nocolsleft` |
    `dsv_nullrep_present` |
    `dsv_options` |
    `dsv_q_nodblquote` |
    `dsv_recin_fail` |
    `dsv_rejectfile_purgefail` |
    `dsv_rejectfile_setupfail` |
    `dsv_rejectreport_purgefail` |
    `dsv_rejectreport_setupfail` |
    `dsv_rowdelim_present` |
    `dsv_skipcols_missing` |
    `dsv_targetfile_demand` |
    `dsv_x_syntax` |
    `dumpload_fail` |
    `dumpload_malformat` |
    `edit_malformat` |
    `editbuffer_contents` |
    `else_without_if` |
    `encode_fail` |
    `end_noblock` |
    `errorat` |
    `exectime_report` |
    `exectime_reporting` |
    `file_appendfail` |
    `file_readfail` |
    `file_writefail` |
    `file_wrotechars` |
    `history_back` |
    `history_backto` |
    `history_none` |
    `history_number_req` |
    `history_unavailable` |
    `history_upto` |
    `html_mode` |
    `ifwhile_malformat` |
    `illegal_at` |
    `import_col_dup` |
    `input_malformat` |
    `input_movedtobuffer` |
    `input_unterminated` |
    `inputfile_closefail` |
    `inputrec_modified` |
    `insertion_preparefail` |
    `insertions_notcommitted` |
    `jdbc_established` |
    `log_syntax` |
    `log_syntax_error` |
    `logical_unrecognized` |
    `macro_help` |
    `macro_malformat` |
    `macro_tip` |
    `macro_undefined` |
    `macrodef_empty` |
    `macrodef_malformat` |
    `macrodef_semi` |
    `math_expr_fail` |
    `metadata_fetch_fail` |
    `metadata_fetch_failfor` |
    `no_required_conn` |
    `no_timestamp_format` |
    `no_vendor_schemaspt` |
    `nobuffer_yet` |
    `none` |
    `noresult` |
    `null_assignment` |
    `outputfile_header` |
    `outputfile_nonetoclose` |
    `outputfile_reopening` |
    `password_readfail` |
    `passwordFor_prompt` |
    `pipeclose_failure` |
    `pl_assign` |
    `pl_block_fail` |
    `pl_block_unterminated` |
    `pl_control` |
    `pl_help` |
    `pl_list_lengths` |
    `pl_list_parens` |
    `pl_malformat` |
    `pl_malformat_specific` |
    `pl_unknown` |
    `pl_unset_nomoreargs` |
    `plalias_malformat` |
    `plvar_nameempty` |
    `plvar_nocolon` |
    `plvar_set_incomplete` |
    `plvar_tildedash_nomoreargs` |
    `plvar_undefined` |
    `plvar_unterminated` |
    `prepare_demandqm` |
    `primaryinput_accessfail` |
    `query_metadatafail` |
    `raw_empty` |
    `raw_leadin` |
    `raw_movedtobuffer` |
    `rawmode_prompt` |
    `rcdata_driver_conflict` |
    `rcdata_genfromvalues_fail` |
    `rcdata_inline_extravars` |
    `rcdata_inlineurl_missing` |
    `rcdata_password_visible` |
    `read_convertfail` |
    `read_partial` |
    `read_toobig` |
    `regex_malformat` |
    `reject_rpc` |
    `rejectreport_bottom` |
    `rejectreport_row` |
    `rejectreport_top` |
    `remove_empty_vars_suggestset` |
    `rollingback` |
    `row_update_multiple` |
    `row_update_singular` |
    `rows_fetched` |
    `rows_fetched_dsv` |
    `rpc_autocommit_failure` |
    `rpc_commit_failure` |
    `schemaname_retrieval_fail` |
    `special_b_malformat` |
    `special_d_like` |
    `special_d_unknown` |
    `special_extrachars` |
    `special_help` |
    `special_malformat` |
    `special_unknown` |
    `special_unspecified` |
    `sqlarray_badjvm` |
    `SqlFile_banner` |
    `sqlfile_execute_fail` |
    `sqlfile_name_demand` |
    `sqlstatement_empty` |
    `sqltempfile_fail` |
    `SqlTool_abort_continue_mutuallyexclusive` |
    `SqlTool_params_redundant` |
    `SqlTool_syntax` |
    `SqlTool_varset_badformat` |
    `streamread_failure` |
    `substitution_malformat` |
    `substitution_nomatch` |
    `substitution_syntax` |
    `suggest_j` |
    `sysprop_empty` |
    `sysprop_undefined` |
    `sysprop_unterminated` |
    `time_bad` |
    `transiso_report` |
    `var_infinite` |
    `varname_warning` |
    `vendor_derby_dr` |
    `vendor_derby_du` |
    `vendor_nosup_d` |
    `vendor_nosup_sysschemas` |
    `vendor_oracle_dS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExpandedString()` |
    `java.lang.String` | `getExpandedString​(java.lang.String... strings)` |
    `java.lang.String` | `getString()` |
    `java.lang.String` | `getString​(int i1)` |
    `java.lang.String` | `getString​(int i1, int i2)` |
    `java.lang.String` | `getString​(int i1, int i2, int i3)` |
    `java.lang.String` | `getString​(int i1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, int i3)` |
    `java.lang.String` | `getString​(int i1, java.lang.String s2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String... strings)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, int i3)` |
    `java.lang.String` | `getString​(java.lang.String s1, int i2, java.lang.String s3)` |
    `java.lang.String` | `getString​(java.lang.String s1, java.lang.String s2, int i3)` |
    `java.lang.String` | `getString​(java.lang.Throwable t)` |
    `java.lang.String` | `toString()` |
    `static SqltoolRB` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SqltoolRB[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SqlTool_syntax

          public static final SqltoolRB SqlTool_syntax

    - #### passwordFor_prompt

          public static final SqltoolRB passwordFor_prompt

    - #### SqlTool_varset_badformat

          public static final SqltoolRB SqlTool_varset_badformat

    - #### SqlTool_abort_continue_mutuallyexclusive

          public static final SqltoolRB SqlTool_abort_continue_mutuallyexclusive

    - #### sqltempfile_fail

          public static final SqltoolRB sqltempfile_fail

    - #### rcdata_inlineurl_missing

          public static final SqltoolRB rcdata_inlineurl_missing

    - #### rcdata_inline_extravars

          public static final SqltoolRB rcdata_inline_extravars

    - #### rcdata_driver_conflict

          public static final SqltoolRB rcdata_driver_conflict

    - #### rcdata_password_visible

          public static final SqltoolRB rcdata_password_visible

    - #### password_readfail

          public static final SqltoolRB password_readfail

    - #### connection_fail

          public static final SqltoolRB connection_fail

    - #### rcdata_genfromvalues_fail

          public static final SqltoolRB rcdata_genfromvalues_fail

    - #### conndata_retrieval_fail

          public static final SqltoolRB conndata_retrieval_fail

    - #### jdbc_established

          public static final SqltoolRB jdbc_established

    - #### SqlTool_params_redundant

          public static final SqltoolRB SqlTool_params_redundant

    - #### SqlFile_banner

          public static final SqltoolRB SqlFile_banner

    - #### buffer_help

          public static final SqltoolRB buffer_help

    - #### special_help

          public static final SqltoolRB special_help

    - #### pl_help

          public static final SqltoolRB pl_help

    - #### pl_control

          public static final SqltoolRB pl_control

    - #### pl_assign

          public static final SqltoolRB pl_assign

    - #### dsv_options

          public static final SqltoolRB dsv_options

    - #### d_options

          public static final SqltoolRB d_options

    - #### raw_leadin

          public static final SqltoolRB raw_leadin

    - #### errorat

          public static final SqltoolRB errorat

    - #### rejectreport_top

          public static final SqltoolRB rejectreport_top

    - #### rejectreport_row

          public static final SqltoolRB rejectreport_row

    - #### rejectreport_bottom

          public static final SqltoolRB rejectreport_bottom

    - #### macro_help

          public static final SqltoolRB macro_help

    - #### rawmode_prompt

          public static final SqltoolRB rawmode_prompt

    - #### raw_movedtobuffer

          public static final SqltoolRB raw_movedtobuffer

    - #### input_movedtobuffer

          public static final SqltoolRB input_movedtobuffer

    - #### sqlstatement_empty

          public static final SqltoolRB sqlstatement_empty

    - #### causereport

          public static final SqltoolRB causereport

    - #### break_unsatisfied

          public static final SqltoolRB break_unsatisfied

    - #### continue_unsatisfied

          public static final SqltoolRB continue_unsatisfied

    - #### primaryinput_accessfail

          public static final SqltoolRB primaryinput_accessfail

    - #### input_unterminated

          public static final SqltoolRB input_unterminated

    - #### plvar_set_incomplete

          public static final SqltoolRB plvar_set_incomplete

    - #### aborting

          public static final SqltoolRB aborting

    - #### rollingback

          public static final SqltoolRB rollingback

    - #### special_unspecified

          public static final SqltoolRB special_unspecified

    - #### bufhist_unspecified

          public static final SqltoolRB bufhist_unspecified

    - #### buffer_executing

          public static final SqltoolRB buffer_executing

    - #### nobuffer_yet

          public static final SqltoolRB nobuffer_yet

    - #### commandnum_malformat

          public static final SqltoolRB commandnum_malformat

    - #### buffer_restored

          public static final SqltoolRB buffer_restored

    - #### substitution_malformat

          public static final SqltoolRB substitution_malformat

    - #### substitution_nomatch

          public static final SqltoolRB substitution_nomatch

    - #### substitution_syntax

          public static final SqltoolRB substitution_syntax

    - #### buffer_unknown

          public static final SqltoolRB buffer_unknown

    - #### special_extrachars

          public static final SqltoolRB special_extrachars

    - #### buffer_extrachars

          public static final SqltoolRB buffer_extrachars

    - #### special_malformat

          public static final SqltoolRB special_malformat

    - #### html_mode

          public static final SqltoolRB html_mode

    - #### dsv_targetfile_demand

          public static final SqltoolRB dsv_targetfile_demand

    - #### file_wrotechars

          public static final SqltoolRB file_wrotechars

    - #### file_writefail

          public static final SqltoolRB file_writefail

    - #### special_d_like

          public static final SqltoolRB special_d_like

    - #### outputfile_nonetoclose

          public static final SqltoolRB outputfile_nonetoclose

    - #### outputfile_reopening

          public static final SqltoolRB outputfile_reopening

    - #### outputfile_header

          public static final SqltoolRB outputfile_header

    - #### destfile_demand

          public static final SqltoolRB destfile_demand

    - #### buffer_empty

          public static final SqltoolRB buffer_empty

    - #### file_appendfail

          public static final SqltoolRB file_appendfail

    - #### sqlfile_name_demand

          public static final SqltoolRB sqlfile_name_demand

    - #### sqlfile_execute_fail

          public static final SqltoolRB sqlfile_execute_fail

    - #### a_setting

          public static final SqltoolRB a_setting

    - #### committed

          public static final SqltoolRB committed

    - #### special_b_malformat

          public static final SqltoolRB special_b_malformat

    - #### binary_loadedbytesinto

          public static final SqltoolRB binary_loadedbytesinto

    - #### binary_filefail

          public static final SqltoolRB binary_filefail

    - #### c_setting

          public static final SqltoolRB c_setting

    - #### bang_incomplete

          public static final SqltoolRB bang_incomplete

    - #### bang_command_fail

          public static final SqltoolRB bang_command_fail

    - #### special_unknown

          public static final SqltoolRB special_unknown

    - #### dsv_m_syntax

          public static final SqltoolRB dsv_m_syntax

    - #### dsv_x_syntax

          public static final SqltoolRB dsv_x_syntax

    - #### raw_empty

          public static final SqltoolRB raw_empty

    - #### dsv_nocolsleft

          public static final SqltoolRB dsv_nocolsleft

    - #### dsv_skipcols_missing

          public static final SqltoolRB dsv_skipcols_missing

    - #### plalias_malformat

          public static final SqltoolRB plalias_malformat

    - #### plvar_undefined

          public static final SqltoolRB plvar_undefined

    - #### sysprop_empty

          public static final SqltoolRB sysprop_empty

    - #### sysprop_unterminated

          public static final SqltoolRB sysprop_unterminated

    - #### sysprop_undefined

          public static final SqltoolRB sysprop_undefined

    - #### var_infinite

          public static final SqltoolRB var_infinite

    - #### plvar_nameempty

          public static final SqltoolRB plvar_nameempty

    - #### plvar_unterminated

          public static final SqltoolRB plvar_unterminated

    - #### pl_malformat

          public static final SqltoolRB pl_malformat

    - #### deprecated_noop

          public static final SqltoolRB deprecated_noop

    - #### end_noblock

          public static final SqltoolRB end_noblock

    - #### continue_syntax

          public static final SqltoolRB continue_syntax

    - #### break_syntax

          public static final SqltoolRB break_syntax

    - #### pl_list_parens

          public static final SqltoolRB pl_list_parens

    - #### pl_list_lengths

          public static final SqltoolRB pl_list_lengths

    - #### dumpload_malformat

          public static final SqltoolRB dumpload_malformat

    - #### plvar_nocolon

          public static final SqltoolRB plvar_nocolon

    - #### plvar_tildedash_nomoreargs

          public static final SqltoolRB plvar_tildedash_nomoreargs

    - #### dumpload_fail

          public static final SqltoolRB dumpload_fail

    - #### pl_malformat_specific

          public static final SqltoolRB pl_malformat_specific

    - #### pl_block_fail

          public static final SqltoolRB pl_block_fail

    - #### ifwhile_malformat

          public static final SqltoolRB ifwhile_malformat

    - #### pl_unknown

          public static final SqltoolRB pl_unknown

    - #### pl_block_unterminated

          public static final SqltoolRB pl_block_unterminated

    - #### vendor_oracle_dS

          public static final SqltoolRB vendor_oracle_dS

    - #### vendor_derby_dr

          public static final SqltoolRB vendor_derby_dr

    - #### vendor_nosup_d

          public static final SqltoolRB vendor_nosup_d

    - #### vendor_derby_du

          public static final SqltoolRB vendor_derby_du

    - #### special_d_unknown

          public static final SqltoolRB special_d_unknown

    - #### metadata_fetch_fail

          public static final SqltoolRB metadata_fetch_fail

    - #### metadata_fetch_failfor

          public static final SqltoolRB metadata_fetch_failfor

    - #### prepare_demandqm

          public static final SqltoolRB prepare_demandqm

    - #### binbuffer_empty

          public static final SqltoolRB binbuffer_empty

    - #### vendor_nosup_sysschemas

          public static final SqltoolRB vendor_nosup_sysschemas

    - #### noresult

          public static final SqltoolRB noresult

    - #### dsv_bincol

          public static final SqltoolRB dsv_bincol

    - #### binbuf_write

          public static final SqltoolRB binbuf_write

    - #### rows_fetched

          public static final SqltoolRB rows_fetched

    - #### rows_fetched_dsv

          public static final SqltoolRB rows_fetched_dsv

    - #### row_update_singular

          public static final SqltoolRB row_update_singular

    - #### row_update_multiple

          public static final SqltoolRB row_update_multiple

    - #### history_unavailable

          public static final SqltoolRB history_unavailable

    - #### history_none

          public static final SqltoolRB history_none

    - #### editbuffer_contents

          public static final SqltoolRB editbuffer_contents

    - #### buffer_instructions

          public static final SqltoolRB buffer_instructions

    - #### history_number_req

          public static final SqltoolRB history_number_req

    - #### history_backto

          public static final SqltoolRB history_backto

    - #### history_upto

          public static final SqltoolRB history_upto

    - #### history_back

          public static final SqltoolRB history_back

    - #### describe_table_name

          public static final SqltoolRB describe_table_name

    - #### describe_table_datatype

          public static final SqltoolRB describe_table_datatype

    - #### describe_table_width

          public static final SqltoolRB describe_table_width

    - #### describe_table_nonulls

          public static final SqltoolRB describe_table_nonulls

    - #### describe_table_precision

          public static final SqltoolRB describe_table_precision

    - #### describe_table_scale

          public static final SqltoolRB describe_table_scale

    - #### logical_unrecognized

          public static final SqltoolRB logical_unrecognized

    - #### read_toobig

          public static final SqltoolRB read_toobig

    - #### read_partial

          public static final SqltoolRB read_partial

    - #### read_convertfail

          public static final SqltoolRB read_convertfail

    - #### dsv_coldelim_present

          public static final SqltoolRB dsv_coldelim_present

    - #### dsv_rowdelim_present

          public static final SqltoolRB dsv_rowdelim_present

    - #### dsv_nullrep_present

          public static final SqltoolRB dsv_nullrep_present

    - #### dsv_constcols_nullcol

          public static final SqltoolRB dsv_constcols_nullcol

    - #### file_readfail

          public static final SqltoolRB file_readfail

    - #### inputfile_closefail

          public static final SqltoolRB inputfile_closefail

    - #### dsv_header_none

          public static final SqltoolRB dsv_header_none

    - #### dsv_header_noswitchtarg

          public static final SqltoolRB dsv_header_noswitchtarg

    - #### dsv_header_noswitchmatch

          public static final SqltoolRB dsv_header_noswitchmatch

    - #### dsv_header_nonswitched

          public static final SqltoolRB dsv_header_nonswitched

    - #### dsv_nocolheader

          public static final SqltoolRB dsv_nocolheader

    - #### dsv_metadata_mismatch

          public static final SqltoolRB dsv_metadata_mismatch

    - #### query_metadatafail

          public static final SqltoolRB query_metadatafail

    - #### dsv_rejectfile_setupfail

          public static final SqltoolRB dsv_rejectfile_setupfail

    - #### dsv_rejectreport_setupfail

          public static final SqltoolRB dsv_rejectreport_setupfail

    - #### none

          public static final SqltoolRB none

    - #### insertion_preparefail

          public static final SqltoolRB insertion_preparefail

    - #### dsv_header_matchernonhead

          public static final SqltoolRB dsv_header_matchernonhead

    - #### dsv_colcount_mismatch

          public static final SqltoolRB dsv_colcount_mismatch

    - #### dsv_insertcol_mismatch

          public static final SqltoolRB dsv_insertcol_mismatch

    - #### time_bad

          public static final SqltoolRB time_bad

    - #### boolean_bad

          public static final SqltoolRB boolean_bad

    - #### inputrec_modified

          public static final SqltoolRB inputrec_modified

    - #### dsv_recin_fail

          public static final SqltoolRB dsv_recin_fail

    - #### dsv_import_summary

          public static final SqltoolRB dsv_import_summary

    - #### insertions_notcommitted

          public static final SqltoolRB insertions_notcommitted

    - #### autocommit_fetchfail

          public static final SqltoolRB autocommit_fetchfail

    - #### dsv_rejectfile_purgefail

          public static final SqltoolRB dsv_rejectfile_purgefail

    - #### dsv_rejectreport_purgefail

          public static final SqltoolRB dsv_rejectreport_purgefail

    - #### edit_malformat

          public static final SqltoolRB edit_malformat

    - #### input_malformat

          public static final SqltoolRB input_malformat

    - #### append_empty

          public static final SqltoolRB append_empty

    - #### transiso_report

          public static final SqltoolRB transiso_report

    - #### exectime_reporting

          public static final SqltoolRB exectime_reporting

    - #### exectime_report

          public static final SqltoolRB exectime_report

    - #### regex_malformat

          public static final SqltoolRB regex_malformat

    - #### encode_fail

          public static final SqltoolRB encode_fail

    - #### macro_tip

          public static final SqltoolRB macro_tip

    - #### macrodef_malformat

          public static final SqltoolRB macrodef_malformat

    - #### macrodef_empty

          public static final SqltoolRB macrodef_empty

    - #### macrodef_semi

          public static final SqltoolRB macrodef_semi

    - #### macro_malformat

          public static final SqltoolRB macro_malformat

    - #### macro_undefined

          public static final SqltoolRB macro_undefined

    - #### log_syntax

          public static final SqltoolRB log_syntax

    - #### log_syntax_error

          public static final SqltoolRB log_syntax_error

    - #### reject_rpc

          public static final SqltoolRB reject_rpc

    - #### rpc_autocommit_failure

          public static final SqltoolRB rpc_autocommit_failure

    - #### rpc_commit_failure

          public static final SqltoolRB rpc_commit_failure

    - #### disconnect_success

          public static final SqltoolRB disconnect_success

    - #### disconnect_failure

          public static final SqltoolRB disconnect_failure

    - #### no_required_conn

          public static final SqltoolRB no_required_conn

    - #### disconnected_msg

          public static final SqltoolRB disconnected_msg

    - #### connected_fallbackmsg

          public static final SqltoolRB connected_fallbackmsg

    - #### no_vendor_schemaspt

          public static final SqltoolRB no_vendor_schemaspt

    - #### schemaname_retrieval_fail

          public static final SqltoolRB schemaname_retrieval_fail

    - #### remove_empty_vars_suggestset

          public static final SqltoolRB remove_empty_vars_suggestset

    - #### auto_unset_warning

          public static final SqltoolRB auto_unset_warning

    - #### pl_unset_nomoreargs

          public static final SqltoolRB pl_unset_nomoreargs

    - #### dsv_q_nodblquote

          public static final SqltoolRB dsv_q_nodblquote

    - #### connect_failure

          public static final SqltoolRB connect_failure

    - #### streamread_failure

          public static final SqltoolRB streamread_failure

    - #### illegal_at

          public static final SqltoolRB illegal_at

    - #### suggest_j

          public static final SqltoolRB suggest_j

    - #### pipeclose_failure

          public static final SqltoolRB pipeclose_failure

    - #### arrayimp_jvmreq

          public static final SqltoolRB arrayimp_jvmreq

    - #### arrayval_malformat

          public static final SqltoolRB arrayval_malformat

    - #### sqlarray_badjvm

          public static final SqltoolRB sqlarray_badjvm

    - #### csv_coldelim_present

          public static final SqltoolRB csv_coldelim_present

    - #### csv_quote_unterminated

          public static final SqltoolRB csv_quote_unterminated

    - #### math_expr_fail

          public static final SqltoolRB math_expr_fail

    - #### varname_warning

          public static final SqltoolRB varname_warning

    - #### null_assignment

          public static final SqltoolRB null_assignment

    - #### bad_time_format

          public static final SqltoolRB bad_time_format

    - #### no_timestamp_format

          public static final SqltoolRB no_timestamp_format

    - #### else_without_if

          public static final SqltoolRB else_without_if

    - #### import_col_dup

          public static final SqltoolRB import_col_dup

    - #### desturl_nowrite

          public static final SqltoolRB desturl_nowrite

  - ### Method Detail

    - #### values

          public static SqltoolRB[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SqltoolRB c : SqltoolRB.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SqltoolRB valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getString

          public java.lang.String getString()

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SqltoolRB>`

    - #### getExpandedString

          public java.lang.String getExpandedString()

      Specified by:
        `getExpandedString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getExpandedString

          public java.lang.String getExpandedString​(java.lang.String... strings)

      Specified by:
        `getExpandedString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.Throwable t)

    - #### getString

          public java.lang.String getString​(java.lang.String... strings)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2,
                                            int i3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            int i2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2,
                                            int i3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2,
                                            int i3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(int i1,
                                            java.lang.String s2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            java.lang.String s2,
                                            int i3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`

    - #### getString

          public java.lang.String getString​(java.lang.String s1,
                                            int i2,
                                            java.lang.String s3)

      Specified by:
        `getString` in interface `org.hsqldb.cmdline.libclone.RefCapableRBInterface`